# Simple Emacs Lisp Vocabulary Trainer

## How it works

Create a buffer with some vocabulary data, at least twelve entries, seperated by the pipe symbol and an initial score.

Example:

```
    hello | hola | 0
    world | mundo | 0
    thank you | gracias | 0
    ...
```

Type `M-x start-vocab-trainer` to start the trainer. The trainer will ask you to translate twelve entries with a low score. When correct, the score is increased, otherwise the score is decreased.

![alt text](vocab.png "Classical flash card system.")

## Installation

1. Download [vocab-trainer.el](./vocab-trainer.el) and save it somewhere and add `(add-to-list 'load-path "~/somewhere")` to your `.emacs` file in your home directory.
2. Execute `M-x load-library RET vocab-trainer`.
3. Execute `M-x start-vocab-trainer`.

## Improve

For me, this minimal example is working fine. Feel free to use it as a nucleus for a more sophisticated version!


